RelayAPI

Get comments for a specific post

GET
/v1/inbox/comments/{post_id}
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Path Parameters

post_id*string

Post ID

Query Parameters

platform?string

Filter by platform

Value in

  • "twitter"
  • "instagram"
  • "facebook"
  • "linkedin"
  • "tiktok"
  • "youtube"
  • "pinterest"
  • "reddit"
  • "bluesky"
  • "threads"
  • "telegram"
  • "snapchat"
  • "googlebusiness"
  • "whatsapp"
  • "mastodon"
  • "discord"
  • "sms"
  • "beehiiv"
  • "convertkit"
  • "mailchimp"
  • "listmonk"
account_id?string

Filter by account ID

cursor?string

Pagination cursor

limit?integer

Number of items

Range1 <= value <= 100
Default20

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/inbox/comments/string"
{  "data": [    {      "id": "string",      "platform": "twitter",      "author_name": "string",      "author_avatar": "string",      "text": "string",      "created_at": "2019-08-24T14:15:22Z",      "likes": 0,      "replies_count": 0,      "hidden": true,      "parent_id": "string",      "post_id": "string",      "post_text": "string",      "post_thumbnail_url": "string",      "post_platform_url": "string",      "account_id": "string",      "account_avatar_url": "string"    }  ],  "post_id": "string",  "platform": "twitter",  "next_cursor": "string",  "has_more": true}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo